tvbrowser.core

## Class TvDataUpdater

- java.lang.Object
- - tvbrowser.core.TvDataUpdater

-     public class TvDataUpdater
      extends java.lang.Object

  Updates the TV data.
  Author:
    Til Schneider, www.murfman.de

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTvDataUpdateListener(TvDataUpdateListener listener)`
    `void` | `downloadTvData(int daysToDownload, TvDataServiceProxy[] services, javax.swing.JProgressBar progressBar, javax.swing.JLabel label)` Download the new TV data
    `(package private) void` | `fireTvDataUpdateFinished()`
    `(package private) void` | `fireTvDataUpdateStarted(Date until)`
    `static TvDataUpdater` | `getInstance()`
    `boolean` | `isDownloading()` Gets whether the TV data updater is currently downloading data.
    `boolean` | `isUpdating()`
    `void` | `removeTvDataUpdateListener(TvDataUpdateListener listener)`
    `void` | `stopDownload()` Stops the current download.
    `boolean` | `tvDataWasChanged()` check whether the last TV data update changed some data in the TV database

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static TvDataUpdater getInstance()

    - #### addTvDataUpdateListener

          public void addTvDataUpdateListener(TvDataUpdateListener listener)

    - #### removeTvDataUpdateListener

          public void removeTvDataUpdateListener(TvDataUpdateListener listener)

    - #### isDownloading

          public boolean isDownloading()

      Gets whether the TV data updater is currently downloading data.
      Returns:
        `true`, if the TV data updater is currently downloading data.

    - #### downloadTvData

          public void downloadTvData(int daysToDownload,
                            TvDataServiceProxy[] services,
                            javax.swing.JProgressBar progressBar,
                            javax.swing.JLabel label)

      Download the new TV data
      Parameters:
        `daysToDownload` - The number of days until today to download the program for.

    - #### isUpdating

          public boolean isUpdating()

    - #### fireTvDataUpdateStarted

          void fireTvDataUpdateStarted(Date until)

    - #### fireTvDataUpdateFinished

          void fireTvDataUpdateFinished()

    - #### stopDownload

          public void stopDownload()

      Stops the current download.

    - #### tvDataWasChanged

          public boolean tvDataWasChanged()

      check whether the last TV data update changed some data in the TV database
      Returns:
        `true`, if data was changed during last update
      Since:
        2.6

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)